[UIFe] motd messaging rewrite

Bug #1822340 reported by Julian Andres Klode on 2019-03-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]
Changes to the motd and update counting to count ESM security upgrades as security upgrades, and show some information about ESM upgrades.

[Test case]
The motd output has unit tests for the various combinations, passing counts of various upgrade types. That said, the actual counting might be wrong.

The regression potential is higher in releases with ESM, as they'll get more messages and have more stuff that could go wrong.

[Regression potential]
Potentially wrong reporting, lost translations.

[disco UIFe]
https://lists.ubuntu.com/archives/ubuntu-translators/2019-April/007534.html
ubuntu-doc held for moderation

[SRU]
We're only SRUing this to trusty, as xenial and bionic will have some more changes, and it would just be a waste of time to SRU the trusty one there.

Julian Andres Klode (juliank) wrote :
Changed in update-notifier (Ubuntu):
status: New → Incomplete
status: Incomplete → In Progress
summary: - Placeholder bug
+ [UIFe] motd messaging rewrite
description: updated
description: updated
Changed in update-notifier (Ubuntu):
status: In Progress → Fix Committed
Changed in update-notifier (Ubuntu Trusty):
status: New → Triaged
Łukasz Zemczak (sil2100) wrote :

Each freeze exception bug needs to have ubuntu-release subscribed btw.

Anyway, looks like we want this, so I'll approve of this UIFe.

Julian Andres Klode (juliank) wrote :

Oh, sorry, I must have forgotten to actually subscribe release, sorry.

description: updated

Hello Julian, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-notifier (Ubuntu Trusty):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.18

---------------
update-notifier (3.192.18) disco; urgency=medium

  * data/apt_check.py: Fix dep8 line length issues.

 -- Adam Conrad <email address hidden> Sat, 13 Apr 2019 04:41:40 -0600

Changed in update-notifier (Ubuntu):
status: Fix Committed → Fix Released
Robie Basak (racb) wrote :

> We're only SRUing this to trusty, as xenial and bionic will have some more changes, and it would just be a waste of time to SRU the trusty one there.

For the record, I think this is acceptable over regular SRU policy because the nature of this update _is_ to provide something special in Trusty as it's going into ESM. So normal concerns over users regressing when they release upgrade do not apply to this case. I see that there's general "umbrella" code added to Disco/Eoan already for the long term case.

Robie Basak (racb) wrote :

Hello Julian, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Julian Andres Klode (juliank) wrote :

The package 0.154.1ubuntu5 built, which means the unit tests for motd passed:

cd tests && ./test_motd.py
........
----------------------------------------------------------------------
Ran 8 tests in 0.003s

OK

It does not correctly detect disabled ESM repositories, though; but that will only become relevant with the new ua client.

That said, 0.154.1ubuntu6 fixes that tiny issue as well.

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Changed in update-notifier (Ubuntu):
status: Fix Released → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-trusty
removed: verification-done verification-done-trusty
Julian Andres Klode (juliank) wrote :

Verified [...]ubuntu6

* Package built successfully, so motd output formatting is correct

* motd output is correct, wrt counting stuff:

(1) ESM disabled [will only happen with new ua client, so not that relevant right now]

root@tt:~# /usr/lib/update-notifier/apt-check --human-readable
Extended Security Maintenance (ESM) is not enabled.

2 updates can be installed immediately.
0 of these updates are security updates.

Enable ESM to receive 5 additional security updates.
See 'ua enable esm' or https://ubuntu.com/esm

(2) ESM enabled

root@tt:~# /usr/lib/update-notifier/apt-check --human-readable
Extended Security Maintenance (ESM) is enabled.

7 updates can be installed immediately.
5 of these updates are provided through ESM.
5 of these updates are security updates.

(3) ESM fully disabled (no sources.list entry)

root@tt:~# ubuntu-advantage disable-esm
Running apt-get update... OK
Ubuntu ESM repository disabled.
root@tt:~# /usr/lib/update-notifier/apt-check --human-readable
2 updates can be installed immediately.
0 of these updates are security updates.

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.19

---------------
update-notifier (3.192.19) eoan; urgency=medium

  * Handle missing cases of LP: #1822340, where we told people ESM is not
    enabled, but not how to enable it.
  * Fix multiple disabled ESM repositories being counted as enabled ones.
  * test_motd.py: Remove unused imports

 -- Julian Andres Klode <email address hidden> Thu, 25 Apr 2019 12:56:40 +0200

Changed in update-notifier (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.154.1ubuntu6

---------------
update-notifier (0.154.1ubuntu6) trusty; urgency=medium

  * More follow-up work for LP: #1822340:
    - Fix multiple disabled ESM repositories being counted as enabled ones.
    - test_motd.py: Remove unused imports

update-notifier (0.154.1ubuntu5) trusty; urgency=medium

  [ Adam Conrad ]
  * data/apt_check.py: Fix dep8 line length issues.

  [ Julian Andres Klode ]
  * Handle missing cases of LP: #1822340, where we told people ESM
    is not enabled, but not how to enable it.

update-notifier (0.154.1ubuntu4) trusty; urgency=medium

  * Rewrite and extend motd messaging (LP: #1822340)
  * Count ESM security updates as security updates
  * Add new build-depends on lsb-release

 -- Julian Andres Klode <email address hidden> Thu, 25 Apr 2019 13:03:30 +0200

Changed in update-notifier (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for update-notifier has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers